Bug 220826 - Kernel BUG at kernel/rwsem.c:20 after resume
Kernel BUG at kernel/rwsem.c:20 after resume
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-27 11:20 EST by Michael Young
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.19-1-2895.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 09:46:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Young 2006-12-27 11:20:58 EST
I have noticed that when I resume after suspending or hibernating I get the bug
report
swsusp: Restoring Highmem
BUG: sleeping function called from invalid context at kernel/rwsem.c:20
in_atomic():0, irqs_disabled():1
 [<c04051db>] dump_trace+0x69/0x1af
 [<c0405339>] show_trace_log_lvl+0x18/0x2c
 [<c04058ed>] show_trace+0xf/0x11
 [<c04059ea>] dump_stack+0x15/0x17
 [<c0439482>] down_read+0x12/0x20
 [<c04315e1>] blocking_notifier_call_chain+0xe/0
x29 
 [<c05a9d7c>] cpufreq_resume+0x118/0x135
 [<c0551964>] __sysdev_resume+0x20/0x53
 [<c0551aa7>] sysdev_resume+0x16/0x47
 [<c0555c8b>] device_power_up+0x5/0xa
 [<c044239c>] swsusp_suspend+0x74/0x90
 [<c0442832>] pm_suspend_disk+0x43/0xc9
 [<c0441995>] enter_state+0x53/0x176
 [<c0441b3d>] state_store+0x85/0x99
 [<c04a638a>] subsys_attr_store+0x1e/0x22
 [<c04a647d>] sysfs_write_file+0xa7/0xce
 [<c046fa51>] vfs_write+0xa8/0x159
 [<c047007e>] sys_write+0x41/0x67
 [<c0404013>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 =======================
The machine seems to function okay after the resume, though sometimes freezes,
in one case with some corruption of rendering on the screen.
I have seen this with several kernels including 2.6.18-1.2849.fc6,
2.6.18-1.2868.fc6 and 2.6.18-1.2869.fc6
This seems related to bug 201508, but still occurs even thoguh that bug is
supposed to be fixed. This is with processor Mobile Intel(R) Pentium(R) 4 - M
CPU 2.00GHz and GeForce4 440 Go graphics card.
Comment 1 Michael Young 2007-01-29 09:46:30 EST
The backtrace seems to have gone away in the current kernel 2.6.19-1-2895.fc6

Note You need to log in before you can comment on or make changes to this bug.